All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata.dav
Class DAVEvent

    com.sas.services.information.metadata.dav.DAVEvent

All Implemented Interfaces:
  AttributesInterface, DAVEntityInterface, DAVItemInterface, java.io.Serializable

Direct Known Subclasses:
  DAVPackageevent, DAVStoredprocessalert

    public class DAVEvent

Represents event data stored on a DAV server. A serialized XML document (event) is stored as the content of the DAV resource.

Since:
  1.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.services.information.metadata.dav.DAVEntity
`_acl, _descAttribute, _fullUrl, _name, _nameAttribute, _objectClass, _properties, _repos, _reposId, _resource, _schemaProperties, aclList, content, hasBeenFetched, LOCAL, STORE, UNSET`

Constructor Summary
`DAVEvent(com.sas.services.information.RepositoryData entity)` Creates a new DAVEvent from the information in the entity
`DAVEvent(RepositoryInterface repos, java.lang.String reposId)` Creates a new DAVEvent for the entity with a repository id `reposId` in the repository `repos`

Method Summary
`java.lang.String` | `findPropertyValue(java.lang.String expr)` Returns the value of a property value in the event.
`org.w3c.dom.Document` | `getEventDocument()` Deprecated.
`java.lang.String` | `getEventDocumentAsString()` Return the event document as a string.
`void` | `promoteProperties(org.w3c.dom.Element root)` Promotes a set of useful information from the event header section to distinct DAV properties, so these can be used in PROPFIND's, SEARCH's etc.
`void` | `setEventDocument(org.w3c.dom.Document eventDoc)` Deprecated.
`void` | `setEventDocumentFromString(java.lang.String eventDocString)` Sets the event document.

Methods inherited from class com.sas.services.information.metadata.dav.DAVItem
`checkin, checkout, clearLocalLists, finalize, getContentLength, getContents, getContentsAsBytes, getContentsStatus, getContentType, hasContentsUpdates, isUpdatePending, setContents, setContents, setContentsfromStore, setContentsStatus, setContentType, toString, uncheckout`

Methods inherited from class com.sas.services.information.metadata.dav.DAVEntity
`addAccessControlEntry, addAttribute, addAttributes, addUpdateMultiple, addUpdateSingle, commitUpdates, copy, delete, deleteAttribute, deleteAttributes, fetchEntity, getAccessControlList, getACL, getAttribute, getAttributes, getCreateDate, getDAVResource, getDescription, getFolder, getGUID, getModifyDate, getName, getObjectClass, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getType, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, move, refresh, refresh, removeAccessControlEntry, setAccessControls, setACL, setAttribute, setAttributes, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, setRepository, update`

Methods inherited from interface com.sas.services.information.metadata.dav.DAVEntityInterface
`addAccessControlEntry, copy, delete, getAccessControlList, getACL, getCreateDate, getDAVResource, getDescription, getFolder, getGUID, getModifyDate, getName, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getType, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, move, refresh, refresh, removeAccessControlEntry, setACL, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, update`

Methods inherited from interface com.sas.services.information.metadata.dav.AttributesInterface
`addAttribute, addAttributes, deleteAttribute, deleteAttributes, getAttribute, getAttributes, setAttribute, setAttributes`

Constructor Detail

### DAVEvent

    public DAVEvent(RepositoryInterface repos,
                    java.lang.String reposId)

  Creates a new DAVEvent for the entity with a repository id `reposId` in the repository `repos`

### DAVEvent

    public DAVEvent(com.sas.services.information.RepositoryData entity)

  Creates a new DAVEvent from the information in the entity

Method Detail

### getEventDocument

    public org.w3c.dom.Document getEventDocument()

  Deprecated.

  Return the event document.

  Returns:
    Document XML document event

### getEventDocumentAsString

    public java.lang.String getEventDocumentAsString()

  Return the event document as a string.

  Returns:
    String XML document string

### setEventDocumentFromString

    public void setEventDocumentFromString(java.lang.String eventDocString)

  Sets the event document. This is an XML document which becomes the resource's content.

  Parameters:
    `eventDocString` - The serialized XML document that represents the event

### setEventDocument

    public void setEventDocument(org.w3c.dom.Document eventDoc)

  Deprecated.

  Sets the event document. This is an XML document which, serialised, becomes the resource's content.

  Parameters:
    `eventDoc` - The XML document that represents the event

### promoteProperties

    public void promoteProperties(org.w3c.dom.Element root)

  Promotes a set of useful information from the event header section to distinct DAV properties, so these can be used in PROPFIND's, SEARCH's etc. The property names are assumed to be subelements of the element passed to this function. Elements that are not namespace qualified will be promoted to DAV properties in the `Constants.NS_WEBDAV_EVENTX_URI` namespace

  Parameters:
    `root` - The event's header Properties element

### findPropertyValue

    public java.lang.String findPropertyValue(java.lang.String expr)

  Returns the value of a property value in the event.

  Using an XPath expression one can select the element or attribute to be queried for the result. For this XPath expression, three default prefixes are mapped (by default) as follows:
  `Constants.NS_EVENTS_PREFIX` is mapped to the event namespace `Constants. NS_EVENTS_URI`
  `Constants. NS_PUBLISH_PREFIX` is mapped to the publish namespace `Constants.NS_PUBLISH_URI`
  `Constants. NS_STOREDPROCESS_ALERT_PREFIX` is mapped to the stored process alert namespace `Constants.NS_STOREDPROCESS_ALERT_URI`

  The prefixes used are the same as those used in the event definitions and although this is not required, this makes it easier to cut and paste element or attribute names out of these event definitions. If an association other than the defaults is required, then use the XQuery namespace declaration syntax to define a namespace prefix and associate it with a namespace URI, followed by the XPath expression. For example
  `declare namespace foo = "http: //example.org" //foo: bar`

  Parameters:
    `expr` - An XPath expression (with optional namespace declaration) which identifies the element or attribute whose value is required
  Returns:
    String The value of the element or attribute identified in the `expr` parameter

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.